## python-pathtools 0.1.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pathtools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pathtools.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pathtools"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pathtools"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-pathtools (0.1.2-7) unstable; urgency=medium

  * Team upload.
  * d/watch: Fix uscan error.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Feb 2025 20:27:18 +0000

python-pathtools (0.1.2-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.

  [ gustavo panizzo ]
  * [b1cdb5] Add support for python 3.12 (Closes: 1058088)
  * [8a4bab] Bump Standards-Version to 4.6.2
  * [e34246] Build the package as non-root user
  * [fbc222] Depend on sphinxdoc since it is used for cleanup
  * [1d190b] Update copyright years
  * [eec61c] Override a lintian warning

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 26 Dec 2023 21:45:20 +0100

python-pathtools (0.1.2-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Bump Standards-Version to 4.4.1.
  * d/control: Fix wrong Vcs-*.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Jun 2022 13:18:19 -0400

python-pathtools (0.1.2-4) unstable; urgency=medium

  * Source only upload to unstable.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sun, 08 Sep 2019 08:17:56 +0200

python-pathtools (0.1.2-3) unstable; urgency=medium

  * [74a171] Drop Python 2 support (Closes: 938005)
  * [bf2c72] Moving the package under the DPMT
    Remove Brian May from the Maintainer field,
    thanks Brian for your help.
  * [870c07] Run wrap-and-sort
  * [cf8753] Use debhelper 12
  * [8053c4] Use secure URIs
  * [76588a] Standards version 4.4.0 (no changes)
  * [fbf704] Add Vcs-Browser and Vcs-Git fields on d/control
  * [3c036a] Move the wildcard files entry to the first paragraph of d/copyright
  * [e0ef35] Add a DEP12 upstream metadata file
  * [39712e] Add a superficial autopkgtest

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sat, 31 Aug 2019 17:31:02 +0200

python-pathtools (0.1.2-2) unstable; urgency=medium

  * Enable build for python3.
  * Updated standards version. No changes.
  * Added dependency on dh-python.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Mon, 02 Feb 2015 00:43:01 +0800

python-pathtools (0.1.2-1) unstable; urgency=low

  * Initial release. (Closes: #735482)

 -- gustavo panizzo <gfa@zumbi.com.ar>  Fri, 17 Jan 2014 15:17:56 -0300

=== debian/control ===
Source: python-pathtools
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.6.2
Homepage: https://github.com/gorakhargosh/pathtools
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pathtools
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pathtools.git
Rules-Requires-Root: no

Package: python3-pathtools
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Recommends: ${python3:Recommends}
Description: Path utilities for Python - Python 3.x
 Python API library which provides pattern matching functions
 and various utilities for filesystem paths.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild


override_dh_installchangelogs:
	if [ -e $(CURDIR)/debian/CHANGELOG ] ; then \
		dh_installchangelogs $(CURDIR)/debian/CHANGELOG ; \
	else \
		dh_installchangelogs ; \
	fi

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b man docs/source docs/build/man
	sed -i 's/.TH "PATHTOOLS" "1"/.TH "PATHTOOLS" "3"/g' docs/build/man/pathtools.1
	cp docs/build/man/pathtools.1 docs/build/man/pathtools3.1

endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	dh_installman
endif

override_dh_clean:
	dh_clean
	rm -rf build
	rm -rf docs/build

=== debian/watch ===
version=4
https://pypi.debian.net/pathtools/pathtools-@ANY_VERSION@@ARCHIVE_EXT@
